import z from "zod"; import type { ApiResult, ClientConfig } from "../client"; import { type ListParams } from "../schemas"; export declare const StIsAttendingSchema: z.ZodUnion, z.ZodLiteral<"no">, z.ZodLiteral<"maybe">]>; export interface StListEventRsvpsParams extends ListParams { event_id?: number; session_id?: number; } export interface StEventRsvpCreate { event_id: number; event_session_id: number; user_id: number; is_attending: "yes" | "no" | "maybe"; is_confirmed?: boolean; agent_user_id: number | null; source?: string | null; source_system?: string | null; } export interface StEventRsvpUpdate { is_attending?: "yes" | "no" | "maybe"; is_confirmed?: boolean; agent_user_id?: number | null; source?: string | null; source_system?: string | null; } declare const StEventRsvpSchema: z.ZodObject<{ id: z.ZodNumber; event_id: z.ZodNumber; event_session_id: z.ZodNumber; user_id: z.ZodNumber; user_details: z.ZodObject<{ first_name: z.ZodNullable; last_name: z.ZodNullable; email: z.ZodNullable; phone: z.ZodNullable; }, z.core.$strip>; is_attending: z.ZodUnion, z.ZodLiteral<"no">, z.ZodLiteral<"maybe">]>; is_confirmed: z.ZodNullable; confirmed_at: z.ZodNullable; confirmed_by_agent_id: z.ZodNullable; unconfirmed_at: z.ZodNullable; unconfirmed_by_agent_id: z.ZodNullable; confirmation_source: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; agent_user_id: z.ZodNumber; source: z.ZodNullable; source_system: z.ZodNullable; cancel_rsvp_url: z.ZodString; confirm_rsvp_url: z.ZodString; created_at: z.ZodString; updated_at: z.ZodString; }, z.core.$strip>; declare const StCreateEventRsvpsResponseSchema: z.ZodObject<{ data: z.ZodObject<{ id: z.ZodNumber; event_id: z.ZodNumber; event_session_id: z.ZodNumber; user_id: z.ZodNumber; user_details: z.ZodObject<{ first_name: z.ZodNullable; last_name: z.ZodNullable; email: z.ZodNullable; phone: z.ZodNullable; }, z.core.$strip>; is_attending: z.ZodUnion, z.ZodLiteral<"no">, z.ZodLiteral<"maybe">]>; is_confirmed: z.ZodNullable; confirmed_at: z.ZodNullable; confirmed_by_agent_id: z.ZodNullable; unconfirmed_at: z.ZodNullable; unconfirmed_by_agent_id: z.ZodNullable; confirmation_source: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; agent_user_id: z.ZodNumber; source: z.ZodNullable; source_system: z.ZodNullable; cancel_rsvp_url: z.ZodString; confirm_rsvp_url: z.ZodString; created_at: z.ZodString; updated_at: z.ZodString; }, z.core.$strip>; }, z.core.$strip>; declare const StListEventRsvpsResponseSchema: z.ZodObject<{ meta: z.ZodObject<{ total_count: z.ZodNumber; limit: z.ZodNumber; offset: z.ZodNumber; }, z.core.$strip>; data: z.ZodArray; last_name: z.ZodNullable; email: z.ZodNullable; phone: z.ZodNullable; }, z.core.$strip>; is_attending: z.ZodUnion, z.ZodLiteral<"no">, z.ZodLiteral<"maybe">]>; is_confirmed: z.ZodNullable; confirmed_at: z.ZodNullable; confirmed_by_agent_id: z.ZodNullable; unconfirmed_at: z.ZodNullable; unconfirmed_by_agent_id: z.ZodNullable; confirmation_source: z.ZodNullable; mobilize_event_task_id: z.ZodNullable; agent_user_id: z.ZodNumber; source: z.ZodNullable; source_system: z.ZodNullable; cancel_rsvp_url: z.ZodString; confirm_rsvp_url: z.ZodString; created_at: z.ZodString; updated_at: z.ZodString; }, z.core.$strip>>; }, z.core.$strip>; export type StEventRsvp = z.infer; export type StCreateEventRsvpsResponse = z.infer; export type StListEventRsvpsResponse = z.infer; /** POST /event_rsvps — Creates an event rsvp. */ export declare function createEventRsvp(config: ClientConfig, body: StEventRsvpCreate): Promise>; /** GET /event_rsvps — Lists event rsvps. */ export declare function listEventRsvps(config: ClientConfig, params?: StListEventRsvpsParams): Promise>; /** PUT /event_rsvps/{id} — Updates an event rsvp. */ export declare function updateEventRsvp(config: ClientConfig, id: number, body: StEventRsvpUpdate): Promise>; export {};